Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Based_Pointer_Repository.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/os_stddef.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Singleton.h"`

Include dependency graph for Based_Pointer_Repository.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Based_Pointer_Repository
| Maps pointers to the base address of the region to which each pointer belongs. More...
## Typedefs
typedef ACE_Singleton< ACE_Based_Pointer_Repository, ACE_SYNCH_RW_MUTEX > | ACE_BASED_POINTER_REPOSITORY
| Provide a Singleton access point to the based pointer repository.

## Detailed Description

Id:
  Based_Pointer_Repository.h,v 4.13 2003/08/04 03:53:50 dhinton Exp

Author:
  Dietrich Quehl <Dietrich.Quehl@med.siemens.de> , Douglas C. Schmidt <schmidt@.cs.wustl.edu>

## Typedef Documentation

typedef ACE_Singleton<ACE_Based_Pointer_Repository, ACE_SYNCH_RW_MUTEX> ACE_BASED_POINTER_REPOSITORY

| Provide a Singleton access point to the based pointer repository.